# SpatialEcology.jl

*Community- and macro-ecological analysis in julia*

## Package Features

- Easily load macroecological and community ecological datasets
- Easy and cheap views allows analysis in a split-apply-combine framework
- Plots recipes for all objects
- Compatible with Diversity.jl via the EcoBase framework


The [Quick start](tutorial.md) provides a tutorial with a quick overview to get you started with SpatialEcology.

The best way to see what the package can do is to work through some of the [Example analyses](examples/nodebased.md)
using this package to recreate macroecological analyses from published papers.


## Manual Outline

```@contents
Pages = [
    "man/constructors.md",
    "man/getters.md",
    "man/data.md",
    "man/subsetting.md",
    "man/randomization.md",
    "examples/nodebased.md"
]
Depth = 1
```
